## Typing stubs for python-xlib

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`python-xlib`](https://github.com/python-xlib/python-xlib) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `python-xlib`. This version of
`types-python-xlib` aims to provide accurate annotations for
`python-xlib==0.33.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/python-xlib`](https://github.com/python/typeshed/tree/main/stubs/python-xlib)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.400,
and pytype 2024.10.11.
It was generated from typeshed commit
[`c1fd2297d79f5efb6edc962ac0162b3370db315f`](https://github.com/python/typeshed/commit/c1fd2297d79f5efb6edc962ac0162b3370db315f).